cascading.stats.hadoop

## Class HadoopCounterCache<JobStatus,Counters>

- java.lang.Object
- - cascading.stats.CounterCache<org.apache.hadoop.conf.Configuration,JobStatus,Counters>
  - - cascading.stats.hadoop.HadoopCounterCache<JobStatus,Counters>

- Direct Known Subclasses:
    HadoopNodeCounterCache, HadoopStepCounterCache

      public abstract class HadoopCounterCache<JobStatus,Counters>
      extends CounterCache<org.apache.hadoop.conf.Configuration,JobStatus,Counters>

- - ### Field Summary

    - ### Fields inherited from class cascading.stats.CounterCache

      `configuration, COUNTER_FETCH_RETRIES_PROPERTY, COUNTER_MAX_AGE_PROPERTY, COUNTER_TIMEOUT_PROPERTY, DEFAULT_CACHED_AGE_MAX, DEFAULT_FETCH_RETRIES, DEFAULT_NODE_CACHED_AGE_MAX, DEFAULT_TIMEOUT_TIMEOUT_SEC, fetchAttempts, maxAge, maxFetchAttempts, NODE_COUNTER_MAX_AGE_PROPERTY, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopCounterCache(CascadingStats stats, org.apache.hadoop.conf.Configuration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getIntProperty(java.lang.String property, int defaultValue)`

    - ### Methods inherited from class cascading.stats.CounterCache

      `areCountersAvailable, cachedCounters, cachedCounters, getCounterGroups, getCounterGroupsMatching, getCounters, getCountersFor, getCountersFor, getCounterValue, getCounterValue, getCounterValue, getCounterValue, getGroupNames, getJobStatusClient, getLastSuccessfulFetch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopCounterCache

          public HadoopCounterCache(CascadingStats stats,
                            org.apache.hadoop.conf.Configuration configuration)

  - ### Method Detail

    - #### getIntProperty

          protected int getIntProperty(java.lang.String property,
                           int defaultValue)

      Specified by:
        `getIntProperty` in class `CounterCache<org.apache.hadoop.conf.Configuration,JobStatus,Counters>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.